# Start an application's server process.

This function starts an application's server process.

Important:

  This function only applies to applications in the server
  category. Calling it on a static application fails with the
  invalid_category error category. It also requires the
  application to have finished at least one deploy; calling it
  before then fails with the not_deployed error category.

Endpoint: GET /WebApp/start
Version: 11.138.0.10
Security: BasicAuth

## Query parameters:

  - `name` (string, required)
    The application's unique name (slug).
    Example: "my-app"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "start"

  - `module` (string)
    The name of the module called.
    Example: "WebApp"

  - `result` (object)

  - `result.data` (object)

  - `result.data.status` (string)
    The application's status after the action.
    Enum: "created", "deploying", "running", "stopped", "errored"

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.metadata.error_category` (string,null)
    The machine-readable failure category. Only present
when status is 0.

* invalid_category — The action does not apply to the application's category.
* not_deployed — The application has not finished a deploy yet.
    Enum: "invalid_category", "not_deployed"

  - `result.status` (integer)
    - 1 - Success.
- 0 - Failed. Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


